Bug 29967 - Increase size of description fields for authorized values in templates
Summary: Increase size of description fields for authorized values in templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2022-01-28 10:03 UTC by Katrin Fischer
Modified: 2022-02-24 22:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Extends the length of the description and OPAC description fields on authorised_values.tt making it easier to see and edit text that has longer descriptions.
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 29967: extended width of description and opac description inputs on authorised_values.tt (1.38 KB, patch)
2022-01-28 20:23 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29967: extended width of description and opac description inputs on authorised_values.tt (1.43 KB, patch)
2022-01-29 10:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 29967: extended width of description and opac description inputs on authorised_values.tt (1.48 KB, patch)
2022-01-29 23:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-01-28 10:03:39 UTC
The description fields for authorised values in the GUI are quite short which makes editing and adding longer descriptions a little harder than it must be.
Comment 1 Lucas Gass 2022-01-28 20:04:01 UTC
I think it would be OK for the description and OPAC description fields to be textarea's as long as they are still limited to 200 characters.
Comment 2 Katrin Fischer 2022-01-28 20:11:00 UTC
I think textarea might be problematic because it would allow multi-line entries. I think having it just a little longer would already help quite a bit.
Comment 3 Lucas Gass 2022-01-28 20:23:02 UTC
Created attachment 129959 [details] [review]
Bug 29967: extended width of description and opac description inputs on authorised_values.tt

To test:
-Go to Administration > Authorized values
-In any category, new or existing, look at an authoized value.
-The description and OPAC description inputs both have a maxlenght of 200 but you cannot see very many characters.
-Apply patch
-Look again, the inputs are much bigger and you can see many more characters.
Comment 4 David Nind 2022-01-29 10:44:46 UTC
Created attachment 129970 [details] [review]
Bug 29967: extended width of description and opac description inputs on authorised_values.tt

To test:
-Go to Administration > Authorized values
-In any category, new or existing, look at an authoized value.
-The description and OPAC description inputs both have a maxlenght of 200 but you cannot see very many characters.
-Apply patch
-Look again, the inputs are much bigger and you can see many more characters.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2022-01-29 23:40:47 UTC
Created attachment 129971 [details] [review]
Bug 29967: extended width of description and opac description inputs on authorised_values.tt

To test:
-Go to Administration > Authorized values
-In any category, new or existing, look at an authoized value.
-The description and OPAC description inputs both have a maxlenght of 200 but you cannot see very many characters.
-Apply patch
-Look again, the inputs are much bigger and you can see many more characters.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2022-01-29 23:41:22 UTC
Thx Lucas for taking care of this one :)
Comment 7 Fridolin Somers 2022-02-01 07:57:36 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Kyle M Hall 2022-02-07 17:30:07 UTC
Pushed to 21.11.x for 21.11.03
Comment 9 Andrew Fuerste-Henry 2022-02-21 15:56:12 UTC
Pushed to 21.05.x for 21.05.11
Comment 10 Victor Grousset/tuxayo 2022-02-24 22:36:58 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.